“分段错误”:在linode上的node.js应用程序中使用xlsx npm模块

我正在linode服务器(Cent Os 7)上运行一个node.js应用程序。

我的应用程序使用xlsx npm模块进行excel转换,并在代码达到时给出分段错误

var xlsx = XLSX.read(file.data, {type: "binary"}); 

       

网上收集的解决方案 "“分段错误”:在linode上的node.js应用程序中使用xlsx npm模块"

您可能正在运行node.js v0.10.31或更高版本。

当我的工作场所从我的MacBook切换到Ubuntu桌面时,我遇到了这个问题。 经过几个小时的search,我发现这个github问题在另一个仓库: https : //github.com/SheetJS/j/issues/4 。 和js-xlsx完全一样的问题。

我把我的node.js降级到v0.10.30,一切正常。 希望这个很快就会被修复。

编辑:问题来自https://github.com/joyent/node/issues/8208 ,它在节点v0.10.32固定